Telkom Speedy and Telkom PSTN

Inquiry

API to inquiry Internet Telkom Speedy and Telkom PSTN.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
TELKOMPSTN6391600000Success - 1 bill
TELKOMPSTN6391601999Success - 3 bills
TELKOMPSTN6391600001Inquiry - Invoice Has Been Paid
TELKOMPSTN6391600014Inquiry - Incorrect Destination Number
TELKOMPSTN6391600103Inquiry - Time Out
TELKOMPSTN6391601037Payment - Payment Failed
TELKOMPSTN6391601039Payment - Pending / transaction in process
TELKOMPSTN6391601105Payment - MISC Error / Biller System Error
TELKOMPSTN639160XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringInternet customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"    : "inq-pasca",
  "username"    : "123123123",
  "code"        : "TELKOMPSTN",
  "hp"          : "6391600000",
  "ref_id"      : "091283746520",
  "sign"        : "3bb08f003963c2b18310aa5f339a215d"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail